Skip to content

getCompany

READ

Get company.

POST /api/v1/settings/getCompany
curl -X POST '<your-host>/api/v1/settings/getCompany' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json'
Response
{
  "logoLight": "string",
  "logoDark": "string",
  "logoLightIcon": "string",
  "logoDarkIcon": "string",
  "logoWatermark": "string",
  "active": true,
  "addressLine1": "string",
  "addressLine2": "string",
  "auditLogEnabled": true,
  "baseCurrencyCode": "string",
  "city": "string",
  "companyGroupId": "string",
  "countryCode": "string",
  "createdAt": "string",
  "customIndustryDescription": "string",
  "email": "string",
  "eori": "string",
  "fax": "string",
  "featureRequests": "string",
  "id": "string",
  "industryId": "string",
  "isEliminationEntity": true,
  "name": "string",
  "parentCompanyId": "string",
  "phone": "string",
  "postalCode": "string",
  "registrationNumber": "string",
  "selectedModules": [
    "string"
  ],
  "stateProvince": "string",
  "suggestionNotificationGroup": [
    "string"
  ],
  "taxId": "string",
  "timezone": "string",
  "updatedBy": "string",
  "vatNumber": "string",
  "website": "string"
}

Parameters

This operation takes no arguments.

Input schema

schema
{
  "type": "object",
  "properties": {}
}